Package tigase.xmpp.impl.roster

# Class RosterFactory

java.lang.Object
tigase.xmpp.impl.roster.RosterFactory

public abstract class RosterFactory extends Object
`RosterFactory` is an factory that is responsible for creation appropriate instance of `RosterAbstract` class
Created: Thu Sep 4 18:33:11 2008

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RosterFactory.Bean`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `defaultRosterImplementation`
  `static final String`
  `ROSTER_IMPL_PROP_KEY`
  Key used to configure class name holding roster implementation
  `static final String`
  `ROSTER_IMPL_PROP_VAL`
  Default roster implementation class - `RosterFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RosterFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RosterAbstract`
  `getRosterImplementation(boolean shared_impl)`
  Creates new instance of class implementing `RosterAbstract` - either default one (`RosterFlat`) or the one configured with "roster-implementation" property.
  `static RosterAbstract`
  `newRosterInstance(String class_name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROSTER_IMPL_PROP_KEY

    public static final String ROSTER_IMPL_PROP_KEY
    Key used to configure class name holding roster implementation
    See Also:
      - Constant Field Values

  - ### ROSTER_IMPL_PROP_VAL

    public static final String ROSTER_IMPL_PROP_VAL
    Default roster implementation class - `RosterFactory`

  - ### defaultRosterImplementation

    public static String defaultRosterImplementation

- ## Constructor Details

  - ### RosterFactory

    public RosterFactory()

- ## Method Details

  - ### getRosterImplementation

    public static RosterAbstract getRosterImplementation(boolean shared_impl)
    Creates new instance of class implementing `RosterAbstract` - either default one (`RosterFlat`) or the one configured with "roster-implementation" property.
    Parameters:
      `shared_impl` - determines whether to returns shared or non shared implementation
    Returns:
      new instance of class implementing `RosterAbstract`

  - ### newRosterInstance

    public static RosterAbstract newRosterInstance(String class_name) throws ClassNotFoundException, IllegalAccessException, InstantiationException
    Throws:
      `ClassNotFoundException`
      `IllegalAccessException`
      `InstantiationException`